
TYPO3.Neos - Feature # 53017

Status: Resolved Priority: Should have
Author: Aske Ertmann Category: TypoScript
Created: 2013-10-21 Assigned To: Aske Ertmann
Updated: 2013-10-28 Due date:
Subject: Add closest FlowQuery operation
Description

We need a way to fetch the nearest node of a certain type, currently we have a lot of loops doing the same in multiple places.

Associated revisions
Revision 3aa40fed - 2013-10-28 23:18 - Aske Ertmann

[FEATURE] Closest FlowQuery operation

Introduce a closest FlowQuery operation capable of finding the nearest
node, including itself, of a certain node type for each node in the
FlowQuery context.

Change-Id: I85fb8043518119d2b61bccea550a73f64f4f3368
Resolves: #53017
Reviewed-on: https://review.typo3.org/24943
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Tested-by: Mr. Hudson
Reviewed-by: Sagar Desai
Tested-by: Sagar Desai
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-10-21 19:55 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24943

#2 - 2013-10-21 20:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24943

#3 - 2013-10-22 14:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24943
#4 - 2013-10-25 02:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24943

#5 - 2013-10-25 21:48 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24943

#6 - 2013-10-28 23:36 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3aa40feda4398b6385fdbe803e3222f616613760.
